Subject: [MLS] Fwd: Re: multiple devices per user?

From: Simon Friedberger <[email-masked]>
Date: Sun, 25 Mar 2018 12:53:39 +0200

(Copy to the list.)

Hi Eric!

>
>     Eric:
>     > it's that there are use cases in
>     > which users want to add a new device without an existing device
>     being
>     > online, and these are incompatible with type #0 designs.
>
>     I'm not sure that devices being added is such a common occurence
>     that it
>     would prohibit asking for authorization from a different device.
>
>
> OK. I guess Jon and others who run IM services can weigh in here on
> their experience, but
> I can tell you about Mozilla's experience in a not-dissimilar setting,
> namely browser sync.
> Firefox used to have a system which required interaction between the
> original device
> and the one to be enrolled, and we found it to be a very aversive user
> experience which
> we eventually abandoned in favor of a more conventional password based
> design.
>
Indeed that sounds much better. So how does this work? The user encrypts
their data with a password derived key and you use some form of
challenge response for authentication so you never get the password?

So for MLS this would translate to the service provider holding password
encrypted packets with pre-approved authentication keys from a known
good device?

Best Regards,
Simon

---

From: Eric Rescorla <[email-masked]>
Date: Sun, 25 Mar 2018 05:23:08 -0700

> challenge response for authentication so you never get the password?

This is documented at:
https://github.com/mozilla/fxa-auth-server/wiki/onepw-protocol

> encrypted packets with pre-approved authentication keys from a known

Well, I wasn't suggesting we adopt the Firefox protocol, merely that the UX
requirements of a scheme which required key transfer were not good.

-Ekr

>
> Best Regards,
> Simon
>
> _______________________________________________
> MLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mls
>

---

From: Simon Friedberger <[email-masked]>
Date: Sun, 25 Mar 2018 15:37:54 +0200

> requirements of a scheme which required key transfer were not good.
Maybe you should. I quite like the idea! :)